## r-other-kcha-psiplot 2.3.0

=== DESCRIPTION ===
Package: psiplot
Title: Generate plots of PSI values generated by vast-tools
Version: 2.3.0
Authors@R: c(
            person("Kevin","Ha", email = "k.ha@mail.utoronto.ca", role=c("cre","aut")),
            person("Javier","Tapial",email = "javier.tapial@crg.eu", role=c("aut"))
            )
Description: Provides functions to create plots of PSI values of
    alternatively-spliced exons or cRPKMs. Requires PSI cRPKM data generated by 
    the program vast-tools (https://github.com/vastgroup/vast-tools).
Depends:
    R (>= 3.1)
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/kcha/psiplot
BugReports: https://github.com/kcha/psiplot/issues
Imports:
    MASS,
    stats,
    methods,
    grDevices,
    utils,
    dplyr,
    tidyr,
    purrr,
    readr,
    magrittr,
    ggplot2
Suggests:
    testthat,
    pheatmap,
    gplots,
    ggbeeswarm (>= 0.6.0),
    knitr,
    rmarkdown
RoxygenNote: 6.0.1
VignetteBuilder: knitr

=== Makefile ===
install:
	R --no-save -e 'library(devtools);library(roxygen2);document();install()'

test:
	./tests/run_tests.R

=== debian/changelog ===
r-other-kcha-psiplot (2.3.0-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 20:10:14 +0530

r-other-kcha-psiplot (2.3.0-1) unstable; urgency=medium

  * Initial release (closes: #995834)

 -- Steffen Moeller <moeller@debian.org>  Sat, 02 Oct 2021 15:52:51 +0200

=== debian/control ===
Source: r-other-kcha-psiplot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-purrr,
               r-cran-readr,
               r-cran-magrittr,
               r-cran-ggplot2
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-other-psiplot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-other-psiplot.git
Homepage: https://github.com/kcha/psiplot
Rules-Requires-Root: no

Package: r-other-kcha-psiplot
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}, vast-tools
Description: plots relative abundance alterantively spliced transcripts
 Provides functions to create plots of PSI values of alternatively-spliced
 exons or cRPKMs. Requires PSI cRPKM data generated by the program
 vast-tools (https://github.com/vastgroup/vast-tools).

=== debian/watch ===
version=4
FIXME: https://github.com/kcha/psiplot
